%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-constantinople
Version:    2.0.0
Release:    %mkrel 3
Summary:    Determine whether a JavaScript expression evaluates to a constant
License:    MIT
Group:      System/Libraries
URL:        https://github.com/ForbesLindesay/constantinople
Source0:    http://registry.npmjs.org/constantinople/-/constantinople-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  uglify-js
%endif

%description
%{summary}.


%prep
%setup -q -n package
find . -type f -exec chmod -x '{}' \;
for i in LICENSE README.md; do
    sed -i -e 's/\r$//' "${i}"
done

%nodejs_fixdep uglify-js '~2.2'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/constantinople
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/constantinople

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
if [ ! -d node_modules/uglify-js ]; then
    ln -sf /usr/lib/node_modules/uglify-js node_modules/uglify-js
fi
/usr/bin/mocha -R spec
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/constantinople




%changelog
* Sun Nov 15 2015 tv <tv> 2.0.0-3.mga6
+ Revision: 903186
- rebuild with fixed deps

* Wed Oct 29 2014 tv <tv> 2.0.0-2.mga5
+ Revision: 794629
- reenable tests

* Wed Oct 29 2014 tv <tv> 2.0.0-1.mga5
+ Revision: 794373
- disable tests for bootstrap
- imported package nodejs-constantinople

